import 'package:sudoku/utils/tools.dart';

class DefaultGlobalSettings {
  // available global parameters codes
  static const String parameterCodeSkin = 'skin';
  static const List<String> availableParameters = [
    parameterCodeSkin,
  ];

  // skin: available values
  static const String skinValueDigits = 'digits';
  static const String skinValueFood = 'food';
  static const String skinValueNature = 'nature';
  static const String skinValueMonsters = 'monsters';
  static const List<String> allowedSkinValues = [
    skinValueDigits,
    skinValueFood,
    skinValueNature,
    skinValueMonsters,
  ];
  // skin: default value
  static const String defaultSkinValue = skinValueDigits;
  // skin: shufflable skins (without order in items)
  static const List<String> shufflableSkins = [
    skinValueFood,
    skinValueNature,
    skinValueMonsters,
  ];

  // available values from parameter code
  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodeSkin:
        return DefaultGlobalSettings.allowedSkinValues;
    }

    printlog('Did not find any available value for global parameter "$parameterCode".');
    return [];
  }

  // parameters displayed with assets (instead of painter)
  static List<String> displayedWithAssets = [
    parameterCodeSkin,
  ];

  static const int defaultTipCountDownValueInSeconds = 20;
}
